Subject: Re: [PATCH 1/3] ixgbe: Add Data Center Bridging netlink listener for DCB runtime changes.

From: Stephen Hemminger <[email-masked]>
Date: Fri, 16 May 2008 16:20:22 -0700

On Fri, 16 May 2008 15:45:11 -0700
"Waskiewicz Jr, Peter P" <[email-masked]> wrote:

> > But like everything else in life, one must weight various 
> > costs.  Maybe it is complex enough to warrant a new tool.  We 
> > don't know until there's a design doc or review of the 
> > generic interface that will be used for DCB.
> 
> 100% agree.  I have a design document added to the bottom of this email
> in plain text for the in-kernel design.  I can send a PDF or OpenOffice
> doc if desired.  Please review it, see if that's something worth
> supporting and developing, and send feedback.  If things look ok, I'll
> write the in-kernel layer and send those patches asap, along with a
> modified ixgbe to use the new interface.
> 
> Thanks Jeff,
> 
> -PJ Waskiewicz
> <[email-masked]>
> 
> ------------------------------------------------------
> 
> Linux Kernel Interface Design for Data Center Bridging
> Peter P. Waskiewicz Jr, Intel Corp.
> 5/16/2008
> 
> Overview:
> 	Data Center Bridging is a new layer 2 networking technology
> targeted for data centers looking to converge certain network flows.
> The technology uses 802.1p priority tagging from 802.1q, and then adds
> the new 802.1Qaz Priority Grouping and 802.1Qbb Priority Flow Control
> technologies.  The purpose is to provide per-priority flow control to
> individual network flows without impacting other flows.  It also
> provides the mechanism to enforce bandwidth allocation per flow.
> 	A Wikipedia article describing the network-wide model this fits
> into can be found here:
> http://en.wikipedia.org/wiki/Data_Center_Ethernet.
> 

I wonder if doing this generically with existing bridge code would
be a better approach. It seems like the TOE problem all over again,
only this time it is Traffic Control offload. Sorry, just because
you can do it in hardware doesn't mean it is a good thing.